Addresses

List address suggestions

GET
/orgs/{organizationId}/addresses/suggestions

Completes a partly typed postal address from OpenStreetMap data (Photon), nearest to the organization map center first. Returns an empty list when the lookup service is unavailable.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

query*string
Length3 <= length <= 200
zipCode?string
Lengthlength <= 20
city?string
Lengthlength <= 100
countryCode?string
Length2 <= length <= 2
limit?integer
Range1 <= value <= 10
Default5
mode?string
Default"complete"
Value in"complete""verify"

Response Body

Matching addresses, best match first

application/json
  1. response
items*array<>
curl -X GET 'https://api.tillor.eu/orgs/string/addresses/suggestions?query=string'
{  "items": [    {      "id": "string",      "address": "string",      "street": "string",      "houseNumber": "string",      "box": "string",      "zipCode": "string",      "city": "string",      "countryCode": "string"    }  ]}